<?php
$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_a11bd5fe4a6175754726d934e" . "fa5c55d" => base64_decode("U3Rhcn" . "QgYXQ6" . "IA=="), "_c06c961f393742ecf" . "d52b72263ac9470" => base64_decode("aW" . "50" . "dm" . "Fs"));





class BackupRunnerFull extends BackupRunnerAbstract
{
    protected $type = 'full';
    
    
    
    
    
    
    
    protected function IsAlwaysExported(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        return false;
    }
    
    
    
    
    
    
    protected function SaveWithoutExport(DOMElement $_5c59c380aa5c5e5f18f039ad7757fe97, DOMElement $_20ddb008f3841f2ea5794896a5d32362)
    {
    }
    
    
    
    
    
    protected function BackupStartUp()
    {
        $this->bk->log->AddEntry($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_a11bd5fe4a617575472" . "6d934efa5c55d"] . $this->now->getDate(DATE_FORMAT_CLA_DATETIME));
        $this->bk->next_full->addDays($this->bk->full_period);
        $this->bk->status = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_c06c961f393742ecfd52b7" . "2263ac9470"](!$this->bk->eh->IsError());
        $this->bk->Update();
    }
}